{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "DSD",
    "NGN"
  ],
  "key": {
    "D": {
      "tag": "forge:dyes/white"
    },
    "S": {
      "item": "minecraft:magma_cream"
    },
    "N": {
      "item": "minecraft:lava_bucket"
    },
    "G": {
      "item": "silentgear:blaze_gold_nugget"
    }
  },
  "result": {
    "item": "everlastingabilities:ability_bottle"
  }
}